version: "3"

services:
  calser:
    image: poptechrepos/calser:${CI_COMMIT_SHA}
    networks:
      - proxy
    volumes:
      - data:/var/www/html
    deploy:
      replicas: 2
      labels:
        - "traefik.port=80"
        - "treafik.backend=calser"
        - "traefik.frontend.rule=Host:www.calser.com"
        - "traefik.backend.loadbalancer.swarm=true"
        - "traefik.backend.loadbalancer.method=drr"
        - "traefik.docker.network=proxy"

volumes:
  data:
    driver: glusterfs

networks:
  proxy:
    external: true
